=== modified file 'AgendaView.qml'
--- AgendaView.qml	2016-03-03 22:32:56 +0000
+++ AgendaView.qml	2016-03-14 16:22:46 +0000
@@ -112,7 +112,10 @@
         id: eventList
         objectName: "eventList"
 
-        anchors.fill: parent
+        anchors{
+            fill: parent
+            bottomMargin: root.bottomEdgeHeight
+        }
         visible: eventListModel.itemCount > 0
         model: eventListModel
         delegate: listDelegate

=== modified file 'DayView.qml'
--- DayView.qml	2016-03-07 13:40:30 +0000
+++ DayView.qml	2016-03-14 16:22:46 +0000
@@ -146,6 +146,7 @@
         anchors {
             fill: parent
             topMargin: header.height
+            bottomMargin: dayViewPage.bottomEdgeHeight
         }
 
         delegate: TimeLineBaseComponent {

=== modified file 'MonthView.qml'
--- MonthView.qml	2016-03-02 19:55:52 +0000
+++ MonthView.qml	2016-03-14 16:22:46 +0000
@@ -89,6 +89,7 @@
         anchors {
             fill: parent
             topMargin: header.height
+            bottomMargin: monthViewPage.bottomEdgeHeight
         }
 
         delegate: MonthWithEventsComponent {

=== modified file 'PageWithBottomEdge.qml'
--- PageWithBottomEdge.qml	2016-03-07 17:57:04 +0000
+++ PageWithBottomEdge.qml	2016-03-14 16:22:46 +0000
@@ -24,6 +24,7 @@
     property alias model: bottomEdge.eventModel
     property alias createEventAt: bottomEdge.date
     property bool bootomEdgeEnabled: bottomEdge.enabled
+    readonly property int bottomEdgeHeight: bottomEdge.hint.height
 
     signal bottomEdgeCommitStarted()
     signal eventCreated(var event)

=== modified file 'WeekView.qml'
--- WeekView.qml	2016-03-04 16:10:56 +0000
+++ WeekView.qml	2016-03-14 16:22:46 +0000
@@ -156,6 +156,7 @@
         anchors {
             fill: parent
             topMargin: header.height
+            bottomMargin: weekViewPage.bottomEdgeHeight
         }
 
         onCurrentIndexChanged: {

=== modified file 'YearView.qml'
--- YearView.qml	2016-03-02 19:55:52 +0000
+++ YearView.qml	2016-03-14 16:22:46 +0000
@@ -107,6 +107,7 @@
         anchors {
             fill: parent
             topMargin: header.height
+            bottomMargin: yearViewPage.bottomEdgeHeight
         }
 
         delegate: Loader {

